<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>

<table width="100%" cellpadding="0" cellspacing="0" border="0">
 <tr>
 <td width="20">&nbsp;</td>
 <td width="*">
<table width="100%" cellpadding="0" cellspacing="0" border="${novp:prefValue(prefs, 'border', '0')}">
     <c:if test="${novp:prefValue(prefs, 'show_header', 'true') == 'true'}">	   
         <thead class="portlet-table-header">
         <tr>
         	<th align="left">${novp:prefValue(prefs, 'heading', '')}</th>
         </tr>
         </thead>
     </c:if>  
        
     <tbody class="portlet-table-body"> 
          <c:set var="bullets" value="${novp:prefValue(prefs, 'bullets', 'true')}" scope="page"/>
          <c:set var="numcols" value="${novp:prefValue(prefs, 'numcols', '2')}" scope="page"/>
          <c:set var="curCol" value="${0}" scope="page"/>
		  <c:forEach items="${novp:prefValues(prefs, 'bookmarks', '-')}" var="bookmark" varStatus="status">
		     <c:set var="curCol" value="${(status.index + 1)}" scope="page"/>
             <c:set var="title" value="${fn:split(bookmark,'~')[0]}" scope="page"/>
             <c:set var="url" value="${fn:split(bookmark,'~')[1]}" scope="page"/>
             
	         <c:if test="${((curCol % numcols) == 1) or ((numcols + 0) == 1)}"><tr></c:if>  
  		     <td>
 			    <c:if test="${bullets == 'true'}"><li></c:if>  
		        <a alt="${title}" href="${url}" target="default" title="${title}">${title}</a>
 			    <c:if test="${bullets == 'true'}"></li></c:if>  
 		     </td>
             <c:if test="${(curCol % numcols) == 0}"></tr></c:if>
		  </c:forEach>
	     <c:if test="${(curCol % numcols) != 0}"></tr></c:if>
  </tbody> 
  
</table>
</td>
</tr>
</table>
