
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="queryBean" scope="request" class="com.novell.portlet.query.QueryPortletBean"/>

		<form method="POST">
            <input type="HIDDEN" GI_ID="" value="<%=queryBean.getPortletId()%>"/>
            <c:set var="msg" value="<%=queryBean.getMessage()%>" scope="page"/>
            
            <c:choose>

			<c:when test="!(${msg} empty)">
                <span class="portlet-msg-error">${msg}</span>
            </c:when>
            
			<c:otherwise>
	            <c:set var="useBorders" value="<%=queryBean.getUseBorders()%>" scope="page"/>
	            <c:set var="useHeaders" value="<%=queryBean.getUseHeaders()%>" scope="page"/>
    	        <c:set var="useColors" value="<%=queryBean.getUseColors()%>" scope="page"/>
        	    <c:set var="rowList" value="<%=queryBean.getRowList()%>" scope="page"/>
        	    <c:set var="columnNames" value="<%=queryBean.getColumnNames()%>" scope="page"/>
                <table cellpadding="3" cellspacing="0" border="${useBorders}">
                <c:if test="${useHeaders == '1'}">
                    <tr class="portlet-section-header">
 						<c:forEach items="${columnNames}" var="colName" varStatus="status">
                        	<th>${colName}</th>
                        </c:forEach>
                    </tr>
                </c:if>
				<c:forEach items="${rowList}" var="rowData" varStatus="status">
		     		<c:set var="curRow" value="${(status.index + 1)}" scope="page"/>
		     		<c:set var="class" value="portlet-section-body" scope="page"/>
					<c:if test="${ useColors == '1' and (curRow % 2) == 0 }">
			     		<c:set var="class" value="portlet-section-alternate" scope="page"/>
					</c:if>
					<tr>
						<c:forEach items="${rowData}" var="rowCol" varStatus="colStatus">
							<td class="${class}">${rowCol}</td>
						</c:forEach>
                    </tr>
                 </c:forEach>
                 </table>
             </c:otherwise>
             </c:choose>
        </form>

