<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>

<html>
<head>
<title>SQL Query Portlet Help</title>
</head>

<body bgcolor="#FFFFFF" text="#000000">

<h1>SQL Query portlet</h1>
<p>This portlet displays a preconfigured JDBC database query to users. Configuration 
  settings are available to specify the JDBC driver name, database connection 
  strings, and database query statement. You may also use a JNDI Lookup string to 
  leverage existing JDNI Datasources defined in the Application Server.
  
<h2>Sample query</h2>
<p>The following is a sample query:
<pre>&nbsp;&nbsp;&nbsp;select Employees.FirstName,Employees.LastName,Employees.HomePhonefromEmployees</pre> 
<p>where Employees.FirstName ='~Given Name~'
<p>This query returns the home phone number from the Employees table of the entry 
  that has the first name equal to the NDS Given Name value of the user. The portlet 
  will automatically replace~Given Name~ with the NDS value of the Given Name 
  attribute of the user:
  <p>
<table width="40%" border="1">
  <tr>
    <td><b>FirstName</b></td>
    <td><b>LastName</b></td>
    <td><b>HomePhone</b></td>
  </tr>
  <tr><td>Nancy</td><td>Davolio</td><td>(206) 555-9857</td></tr> 
  </table>  
   
<h2>Portlet preferences</h2>
<p>Portlet preferences can be used to set the database connections and query, as well as layout features 
such as row colors, borders, and column headers in the result set.

</body>
</html>
