<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ page import="com.novell.portlet.util.CredentialUtility" %>

<portlet:defineObjects/>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="credentials" scope="request" class="com.novell.portlet.util.CredentialsBean"/>
<jsp:useBean id="user" scope="request" class="com.novell.portlet.util.UserScriptingBean"/>

<i18n:bundle baseName="com.novell.portlet.util.CredentialRsrc"/>

<c:choose>

<c:when test="${user.anonymous}">	   
		<table width="100%">
			<tr>
		    <td align="center"><i18n:message key="portlet.message.credentials.loginrequired"/></td>
		    </tr>
		</table>
</c:when>
<c:otherwise>
  		<form method="post" action="<portlet:actionURL/>"/>
		<table width="100%">
			<tr>
				<td>
					<hr/>
				</td>
			</tr>
			<tr>
				<td align="center"><i18n:message key="portlet.message.credentials"/>
				</td>
			</tr>
			<tr>
				<td>
					<hr/>
				</td>
			</tr>
				<tr>
					<td align="center">
						<table width="100%">
							<tr>
								<td align="right" > <%= credentials.getUserNameDisplay() %>
								</td>
								<td width="3"/>
								<td align="left">
									<input name="username" type="text" value="<%= credentials.getUserName() %>"/>
								</td>
							</tr>
							<tr>
								<td align="right"><%= credentials.getPasswordNameDisplay() %>
								</td>
								<td width="3"/>
								<td align="left">
									<input name="password" type="password" value="<%= credentials.getPassword() %>"/>
								</td>
							</tr>
							<c:set var="genericDisplayName" value="credentials.getGenericDisplayName()"/>
							<c:if test="!(${genericDisplayName} empty)">
							<% if (credentials.getGenericDisplayName() != null) { %>
								<tr>
									<td align="right" ><%= credentials.getGenericDisplayName() %>
									</td>
									<td width="3"/>
									<td align="left" >
										<input name="generic" type="text" value="<%= credentials.getGenericDisplay() %>"/>
									</td>
								</tr>
							<% } %>
							</c:if>
							<tr>
								<td/>
								<td width="3"/>
								<td align="left" >
									<input name="persist" type="checkbox" value="persist"/>
									<i18n:message key="portlet.message.credentials.saveperm"/>
								</td>
							</tr>
							<tr>
								<td  colspan="3">
									<hr/>
								</td>
							</tr>
							<tr>
								<td align="center" colspan="3">
									<table>
										<tr>
											<td align="right">
												<input name="credentials" type="submit" value="<i18n:message key="portlet.label.credentials.submit"/>" /> 
											</td>
											<td align="left">
												<input name="cancel" type="submit" value="<i18n:message key="portlet.label.credentials.cancel"/>"/>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
		</table>
		</form>
</c:otherwise>		
</c:choose>
