<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="frameBean" scope="request" class="com.novell.portlet.iframe.IframeBean"/>

<table border="0" cellpadding="0" cellspacing="0" width="${novp:prefValue(prefs, 'width', '100%')}"
          height="${novp:prefValue(prefs, 'height', '100%')}">
            <tr>
                <td>
                <c:set var="scrolling" value="no" scope="page"/>
                <c:set var="scrollbar" value="${novp:prefValue(prefs, 'scrollbar', 'true')}" scope="page"/>
                <c:if test="${scrollbar == 'true'}">
	                <c:set var="scrolling" value="auto" scope="page"/>
                </c:if>
                <c:set var="frameborder" value="0" scope="page"/>
                <c:set var="border" value="${novp:prefValue(prefs, 'border', 'true')}" scope="page"/>
                <c:if test="${border == 'true'}">
	                <c:set var="frameborder" value="1" scope="page"/>
                </c:if>
                <c:set var="src" value="${novp:prefValue(prefs, 'url', '')}" scope="page"/>
                <c:if test="${frameBean.doPost or frameBean.authRequired}">
                    <c:set var="protocol" value="${pageContext.request.protocol}"/>
                    <c:if test="${protocol != null}">
	                    <c:set var="protocol" value="http" scope="page"/>
	                </c:if>
                	<c:set var="src" value="${frameBean.actionUrl}"/>
                	<c:set var="oldsrc" value="${protocol}://${pageContext.request.serverName}:${pageContext.request.serverPort}${frameBean.actionUrl}"/>
                </c:if>

                <iframe width="${novp:prefValue(prefs, 'width', '100%')}"
                        height="${novp:prefValue(prefs, 'height', '100%')}"
                        src="${src}"
                        longdesc="${frameBean.title}"
                        marginheight="${novp:prefValue(prefs, 'margin-height', '0')}"
                        marginwidth="${novp:prefValue(prefs, 'margin-width', '0')}"
                        scrolling="${scrolling}"
                        frameborder="${frameborder}">
                    <a href="${src}">${novp:prefValue(prefs, 'non-support-html', '')}</a>
                </iframe>
                </td>
            </tr>
        </table>
