<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="navBean" scope="request" class="com.novell.portlet.navigation.NavigationBean"/>
<jsp:useBean id="user" scope="request" class="com.novell.portlet.util.UserScriptingBean"/>

<portlet:defineObjects/>



<style>

   #foldheader {
      margin-left: - 10px;
      padding: 0px 0px 0px 0px;
      cursor: pointer;
      cursor: hand;
      list-style-image: url( ${pageContext.request.contextPath}/images/catalog/bullet.gif );
   }

   #foldinglist {
      cursor: pointer;
      cursor: hand;
      list-style-position: outside;
      margin-left: 0px;
      padding: 0px 0px 0px 0px;
      vertical-align: top;
      list-style-image: url( ${pageContext.request.contextPath}/images/catalog/T.gif )
   }

   #pagenosub {
      margin-left: - 10px;
      list-style-image: url(${pageContext.request.contextPath}/images/catalog/bullet.gif )
   }

</style>

<i18n:bundle baseName="com.novell.portlet.navigation.NavigationRsrc"/>

<table cellspacing="2" cellpadding="5" border="0">
   <tr>
      <td valign="top" class="portlet-section-body">
           	<i18n:message key="welcome.message">
				<i18n:messageArg value="${user.userName}"/>
			</i18n:message>
	  </td>
   </tr>
   <tr>
      <td valign="top">
      </td>
   </tr>

	<tr>
      <td valign="top" class="portlet-section-body">
      <table width="100%" cellpadding="0" cellspacing="0">

		   <c:set var="navList" value="<%=navBean.getNavigationList()%>" scope="page"/>
		   <c:forEach items="${navList}" var="navData" varStatus="status">
			<c:set var="curItem" value="${status.count}" scope="page"/>

	        <c:choose>
	
				<c:when test="${curItem == 1}">
		         <tr>
		            <td colspan="2">
				       <c:set var="curHRef" value="" scope="page"/>
				       <c:set var="curName" value="" scope="page"/>
					   <c:forEach items="${navData}" var="navItem" varStatus="itemStatus">
			               <c:choose>
							   <c:when test="${itemStatus.index == 0}">
				               		<c:set var="curHRef" value="${navItem}" scope="page"/>
				               </c:when>
				               <c:otherwise>
				               		<c:set var="curName" value="${navItem}" scope="page"/>
				               </c:otherwise>
			               </c:choose>
		               </c:forEach>
                 	   <a href="${curHRef}"><font color='red'><b>Novell Portlets</b></font></a>
		            </td>
		         </tr>
		         <tr><td colspan="2"></td></tr>
	            </c:when>
	            
				<c:otherwise>
				       <c:set var="curHRef" value="" scope="page"/>
				       <c:set var="curName" value="" scope="page"/>
					   <c:forEach items="${navData}" var="navItem" varStatus="itemStatus">
			            <td>
			               <c:choose>
							   <c:when test="${itemStatus.index == 0}">
				               		<c:set var="curHRef" value="${navItem}" scope="page"/>
				               </c:when>
				               <c:otherwise>
				               		<c:set var="curName" value="${navItem}" scope="page"/>
				               </c:otherwise>
			               </c:choose>
		            	</td>
		               </c:forEach>
				       <tr>
				            <td><img src="${pageContext.request.contextPath}/images/catalog/T.gif"/></td>
				            <td><a href="${curHRef}">${curName}</a></td>
				       </tr>
				</c:otherwise>
				
		  </c:choose>

		</c:forEach>

	</table>
	</td>
	</tr>
</table>
