<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="/WEB-INF/tag/novell-portletsTag.tld" prefix="novp"%>

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" language="java" %>

<jsp:useBean id="prefs" scope="request" class="com.novell.portlet.util.PortletBean"/>
<jsp:useBean id="notesBean" scope="request" class="com.novell.portlet.notes.NotesBean"/>

<table border="0" cellpadding="0" cellspacing="0" width="${novp:prefValue(prefs, 'width', '100%')}"
          height="${novp:prefValue(prefs, 'height', '100%')}">
            <tr>
                <td>
                <c:set var="src" value="${novp:prefValue(prefs, 'ip', '')}" scope="page"/>
                <c:if test="${notesBean.authType == 'basic'}">
                    <c:set var="src" value="${notesBean.protocol}://${notesBean.user}:${notesBean.password}@${notesBean.ip}:${notesBean.port}${notesBean.mailDB}"/>
                </c:if>

                <iframe width="${novp:prefValue(prefs, 'width', '100%')}"
                        height="${novp:prefValue(prefs, 'height', '100%')}"
                        src="${src}"
                        marginheight="0"
                        marginwidth="0"
                        scrolling="auto"
                        frameborder="1">
                </iframe>
                </td>
            </tr>
        </table>
